Jump to content

Double cranked poly line ( that help civil engineers )


Abdulellah

Recommended Posts

Before anything, I would like to salute Mr. Begal. 
All of my friends in the office are very pleased with the support you provided to them in the previous program.
 I hope you will provide us with a final service by writing the program shown in the picture.
 We are thankful to you.

Double cranked polyline.JPG

Link to comment
Share on other sites

Good one to have a go at writing yourself. Pick pt1 pt2 these are your base points, then using the polar command work out the other points its very straight forward.

Just wok out 1st a point above the base line with dist = cover, then left point 3 and so on.

 

Last is (command "pline" pt5 pt4 pt3 pt6 pt7 pt8 "")

 

(setq a45 (* pi 0.25))
(setq a90 (/ pi 2.0))
(setq a30 (* pi (/ 1.0 6.0)))
(setq a60 (* pi 3.0))

(setq dist (/ hordist (cos ang)) ; take horizontal distance convert to slope distance.

 

Writing this one yourself will make it easier to write even more rebar styles.

 

Edited by BIGAL
Link to comment
Share on other sites

That's the idea make a start, it really is not that hard.

 

(setq oldsnap (getvar 'osmode)) ; save the current osnap mode
(setq ent (entget ( car (entsel "\nPick point bottom line")))) ; pick bottom line use snap like near and mid
(setq pt1 (cdr (assoc 10 ent)))
(setq pt2 (cdr (assoc 11 ent)))
(setq ang (angle pt1 pt2)) ; angle of line
(setq len (distance pt1 pt2)) ; length of bottom line
(setq pt1 (Polar pt1 ang (/ (distance pt1 pt2) 2.0))) ; sets pt1 /2 way along 

(setvar 'osmode 128) ; set snap to perp


(setq off (getreal "\nEnter the cover")) ; enter value of concrete cover
(setq pt1 (Polar pt1 ang off) ; new point above bottom line

(setq pt2 (getpoint pt1 "\nPick point top line")) ; pick pt2
(setq dist2 (- (distance pt1 pt2) off)) ; dist between bars
(setq pt2 (Polar pt1 ang dist2)) ; point 2 at top minus cover

keep going for other points using polar and angles as per previous post

 

 

Link to comment
Share on other sites

about autodesk forum , time kill me i have large project i am designer and quantitiy survey engineer and strcture drafter engineer all thise job , i don not have time to learn auto lisp or other softwear , my job is tedious and complicated , time always kill me, i hope to appreciate this 

Edited by Abdulellah
Link to comment
Share on other sites

3 hours ago, Abdulellah said:

...  i don not have time to learn auto lisp or other softwear , my job is tedious and complicated , time always kill me ...

More the reason to take the time to learn. 😉 This was precisely the motivator for me and now I don't have to rely on anybody else to solve my problems.

  • Like 1
Link to comment
Share on other sites

Your being paid to do the job and people who post responses here are doing so for free, helping you to make money. The alternative if you want a fast answer you can pay for some one to do it for you. There is plenty out there who do commercial work.

Link to comment
Share on other sites

When he says "Helping you to make money" - I think BIGAL is referring to all the extra productivity you are getting from using the free lisp programs!

 

4 hours ago, Abdulellah said:

i will post all lisp for free

If you are posting these anywhere - we expect you to give credit to the original Author.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...